Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		QMTSim
#Epoch:		0
Version:	0.0.1	
Release:	1
License:	GNU/LGPL
URL:		http://code.google.com/p/qmtsim/
Group:		Development/Other
Summary:	QT based TUIO simulator
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}_Linux.tar.gz
Source200:	QMTSim.desktop
Source201:      QMTSim.png

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel

%description
QMTSim is a new advanced multi touch simulator based on Qt 4.4. Its written in C++ so now onwards there will be no JVM :) The simulator helps you add new items ( both a tangible and a cursor ) in real time , customize their property and delete them when not required. It also lets you define a path for the item to follow during the animation run.You can define the path by selecting points on the path which are then joined using bezier curves giving a smooth path.The item with its properties along with its path if specified can be saved in a XML file which can be reloaded in future.All the items that are selected are saved in the same file. Thus selective bunch of items can be saved and uploaded.The path of the item can be changed also. QMTSim also has the support for two-finger emulation with right click.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}

%build
qmake QMTSim.pro
make clean
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/applications,%{_datadir}/pixmaps}

%{__install} -p -D -m 755 bin/QMTSim $RPM_BUILD_ROOT%{_bindir}/

desktop-file-install --vendor CCux \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE200}

%{__install} -p -D -m 644 %{SOURCE201} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir/QMTSim
%_datadir/applications
%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.0.1-1
- initial CCux package release
- this actually has no version number, so we stick with the 0.0.1 scheme
- svn48
